Install (fork) a public agent from directory
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/agents/directory/{uuid}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customName": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/agents/directory/{uuid}/install"
payload = { "customName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customName: '<string>'})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/agents/directory/{uuid}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"has_dynamic_tools": true,
"has_memory": true,
"id": "<string>",
"name": "<string>",
"tools_count": 123,
"type": "user",
"config_hash": "<string>",
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"custom_tools": [
{
"commandTemplate": "<string>",
"description": "<string>",
"id": "<string>",
"inputSchema": {},
"isExecutable": true,
"scriptContent": "<string>",
"scriptPath": "<string>",
"timeoutSeconds": 123
}
],
"custom_tools_count": 123,
"fork_count": 123,
"has_installation_requirements": true,
"install_commands": [
"<string>"
],
"native_tools": [
"<string>"
],
"original_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prereq_packages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"require_env_vars": [
"<string>"
],
"system_context": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_commands": [
"<string>"
],
"when_to_use": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Agent Directory
Install (fork) a public agent from directory
Install a public agent by its UUID as an independent copy. The agent will be installed with the same agent_id but owned by the current user.
POST
/
api
/
v1
/
agents
/
directory
/
{uuid}
/
install
Install (fork) a public agent from directory
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Agent UUID (row ID)
Body
application/json
Optional custom name for the installed agent
Response
Agent installed successfully
Agent ID for user access (use with /agents/user/{agent_id})
Available options:
user Show child attributes
Show child attributes
Directory entry ID
Available options:
public, private, unlisted ⌘I

